# vue-mark-text

Highlight/mark text based on character indices.

Supply text along with `marks`,
 objects with `begChar`, `endChar`, `text`, and `cls`,
 where `begChar`/`endChar` are character indices in the text.
The library will split the text into span batches of spans
 with the `cls` applied and automatically handle overlap by
 merging classes (see subpackage `etali` for batch and merging
 implementations).

A `controller` may also be supplied to catch the events from
 clicking on the text spans and trigger callback.
By default, `NullController` has no callback.

CSS can be scoped, as in [vue-loader docs](https://vue-loader.vuejs.org/guide/scoped-css.html).
Make sure to apply deep selectors as necessary, e.g. `#mt >>> .place`.

MarkedText is used like:

``` html
<MarkedText id="mt" :sourceText="sourceText" :marks="marks" :controller="controller"/>
```
---

# Example

The following example is exactly the Vue component found in
 `test/MarkedTextTest.vue`.

<ClientOnly>
  <MarkedTextTest/>
</ClientOnly>
